/* Elementary Widgets Extension
 * Copyright (C) 2014 Samsung Electronics.
 *
 * This file is part of Elementary Widgets Extension.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program; If not, see www.gnu.org/licenses/lgpl.html.
 */

#ifndef EWE_RULER_H
#define EWE_RULER_H

/**
 * @defgroup Ruler Ruler
 *
 * A Ruler module contain API for manipulate ruler parametrs.
 * A ruler can be horizontal or vertical. Ruler object contain an absolute and
 * relarive scales with dashes and mark, pointer.
 * Scales can position from custom coordinats. For relative scale accept state
 * end point.
 * A Ruler is "flexible"" object. When resize parent object, ruler resize and
 * recalculate itself.
 */

#include "ewe_ruler_common.h"

#ifdef EFL_EO_API_SUPPORT
#include "ewe_ruler_eo.h"
#endif

#ifndef EFL_NOLEGACY_API_SUPPORT
#include "ewe_ruler_legacy.h"
#endif

#endif /* EWE_RULER_H */
